- Main Page
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

# uip/uip_arch.h File Reference

## Detailed Description

Declarations of architecture specific functions.

Author:
  Adam Dunkels <adam@dunkels.com>

Definition in file uip_arch.h.

`#include "uip.h"`

Go to the source code of this file.

## Functions
void | uip_add32 (u8_t *op32, u16_t op16)
| Carry out a 32-bit addition.
u16_t | uip_chksum (u16_t *buf, u16_t len)
| Calculate the Internet checksum over a buffer.
u16_t | uip_ipchksum (void)
| Calculate the IP header checksum of the packet header in uip_buf.
u16_t | uip_tcpchksum (void)
| Calculate the TCP checksum of the packet in uip_buf and uip_appdata.